For the complete documentation index, see llms.txt. This page is also available as Markdown.

Extraction

Extract biometric template

post

Performs extraction of biometric characteristics from a raw sample (image, fingerprint, etc.) sent in the request body, returning the biometric template and metadata.

Body
verifybooleanOptional
Responses
200

OK

application/json
post/extract
POST /gbds/v2/extract HTTP/1.1
Host: <ip>:8085
Content-Type: application/json
Accept: */*
Content-Length: 765

{
  "verify": true,
  "data": {
    "pguid": "text",
    "lastEnrollTguid": "text",
    "timestamp": 1,
    "keys": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biographics": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biometric": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "auxiliaries": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "metadata": [
      "text"
    ],
    "labels": [
      "text"
    ],
    "history": {
      "events": [
        {
          "tguid": "text",
          "timestamp": 1,
          "type": "text",
          "targetTguid": "text"
        }
      ]
    },
    "biographicBaseStatus": "UNAVAILABLE"
  }
}
200

OK

{
  "data": {
    "pguid": "text",
    "lastEnrollTguid": "text",
    "timestamp": 1,
    "keys": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biographics": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biometric": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "auxiliaries": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "metadata": [
      "text"
    ],
    "labels": [
      "text"
    ],
    "history": {
      "events": [
        {
          "tguid": "text",
          "timestamp": 1,
          "type": "text",
          "targetTguid": "text"
        }
      ]
    },
    "biographicBaseStatus": "UNAVAILABLE"
  }
}

Extract biometric template (with quality indices)

post

Extracts the biometric template and calculates quality indices for the provided sample, returning both for evaluation before use in comparisons.

Body
verifybooleanOptional
Responses
200

OK

application/json
post/extract/quality
POST /gbds/v2/extract/quality HTTP/1.1
Host: <ip>:8085
Content-Type: application/json
Accept: */*
Content-Length: 765

{
  "verify": true,
  "data": {
    "pguid": "text",
    "lastEnrollTguid": "text",
    "timestamp": 1,
    "keys": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biographics": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biometric": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "auxiliaries": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "metadata": [
      "text"
    ],
    "labels": [
      "text"
    ],
    "history": {
      "events": [
        {
          "tguid": "text",
          "timestamp": 1,
          "type": "text",
          "targetTguid": "text"
        }
      ]
    },
    "biographicBaseStatus": "UNAVAILABLE"
  }
}
200

OK

{
  "data": {
    "pguid": "text",
    "lastEnrollTguid": "text",
    "timestamp": 1,
    "keys": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biographics": [
      {
        "id": "text",
        "value": "text"
      }
    ],
    "biometric": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "auxiliaries": [
      {
        "source": "CONSOLIDATED_TEMPLATE",
        "type": "FINGERPRINT",
        "format": "PRIVATE",
        "properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1,
          "matcherId": 1,
          "extractorId": 1
        },
        "index": 1,
        "content": "text",
        "quality": 1
      }
    ],
    "metadata": [
      "text"
    ],
    "labels": [
      "text"
    ],
    "history": {
      "events": [
        {
          "tguid": "text",
          "timestamp": 1,
          "type": "text",
          "targetTguid": "text"
        }
      ]
    },
    "biographicBaseStatus": "UNAVAILABLE"
  }
}

Last updated

Was this helpful?